package models

type ClientCardListRequest struct {
	OpenId    string `json:"open_id"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
	TypeList  int    `json:"type_list"` //1-未开始 2-进行中 3-已结束
}

type ClientCardRequest struct {
	ClientCardId int64 `json:"client_card_id"` //
}

type ClientCardQRRequest struct {
	MerchantCardId int64 `json:"merchant_card_id"` //
}

type ClientCardQRReply struct {
	AccessToken string `json:"access_token"`
	ExpiresIn   int    `json:"expires_in"`
}

type QRRequest struct {
	Page       string `json:"page"`
	Scene      string `json:"scene"`
	CheckPath  bool   `json:"check_path"`
	EnvVersion string `json:"env_version"`
}

type GetQRRequest struct {
	Errcode int    `json:"errcode"`
	Errmsg  string `json:"errmsg"`
}
