package userLy

import "github.com/gin-gonic/gin"

func InitUserRouter(engine *gin.RouterGroup) {
	v1 := engine.Group("v1")
	{
		v1.POST("/user.ly/open.id/set", OpenIdSet)          //设置openId
		v1.POST("/user.ly/userinfo/update", UserInfoUpdate) //更新用户信息
		v1.POST("/user.ly/userinfo/get", UserInfoGet)       //获取用户信息
		//v1.POST("/user.ly/user.head/upload", UserHeadUpload) //用户头像上传七牛云
	}
}
