package userLy

import (
	"duoduo/models/mysqlLy"
	"duoduo/models/userLy"
	"duoduo/tools/app"
	"github.com/gin-gonic/gin"
)

func UserInfoGet(c *gin.Context) {
	var inData userLy.UserInfoGetRequest
	var sql mysqlLy.User

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	sql.OpenID = inData.OpenId

	userInfo, err := sql.Get()
	if err != nil {
		app.Error(c, 500, err, err.Error())
		return
	}
	app.OK(c, userInfo, app.Success)
}
