package bizhi

import "duoduo/models/mysqlBz"

//随机获取图片请求参数
type RoundPictureResponse struct {
	mysqlBz.BiZhi
	Cover1      string `json:"Cover1"`
	Cover       string `json:"Cover"`
	CoverHeight string `json:"CoverHeight"`
	CoverWidth  string `json:"CoverWidth"`
	Loaded      bool   `json:"loaded"`
}

//图片标签
type PictureLabelRequest struct {
	Label string `json:"label"`
}

//图片标签更新
type PictureLabelUpdateRequest struct {
	Id    int    `json:"id"`
	Label string `json:"label"`
}

//图片id
type PictureGroupRequest struct {
	Id     int    `json:"id"`
	Label  string `json:"label"`
	OpenId string `json:"openId"`
}

type SearchRequest struct {
	Label     string `json:"label"`
	PageSize  int    `json:"pageSize"`
	PageIndex int    `json:"pageIndex"`
}
