package bizhi

import orm "duoduo/database"

type Search struct {
	ID         int64  `gorm:"column:id;type:bigint(20);primary_key" json:"id"`    // 主键
	Label      string `gorm:"column:label;type:varchar(255)" json:"label"`        // 标签
	CreateTime string `gorm:"column:create_time;type:datetime" json:"createTime"` // 创建时间
}

func (m *Search) TableName() string {
	return "search"
}

func (m *Search) Insert() error {
	result := orm.BzMysql.Table(m.TableName()).Create(&m)
	if result.Error != nil {
		err := result.Error
		return err
	}
	return nil
}
