package tools

import (
	"fmt"
	"time"
)

var (
	TimeLocation, _       = time.LoadLocation("Asia/Shanghai")
	TimeLayoutWithoutTime = "2006-01-02"
	TimeLayout            = "2006-01-02 15:04:05"
)

type JSONTime time.Time

func (j JSONTime) MarshalJSON() ([]byte, error) {
	var stamp = fmt.Sprintf("\"%s\"", time.Time(j).Format("2006-01-02 15:04:05"))
	return []byte(stamp), nil
}
