package common

import (
	"bytes"
	"fmt"
	"io"
	"net/http"
)

func Post(inputObj []byte, url string) ([]byte, error) {

	fmt.Println(string(inputObj))
	fmt.Println(url)
	//数据转json
	buffer := bytes.NewBuffer(inputObj)

	request, err := http.NewRequest("POST", url, buffer)
	if err != nil {

		return nil, err
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	client := http.Client{}
	//创建客户端
	resp, err := client.Do(request) //发送请求
	if err != nil {
		return nil, err
	}
	respBytes, err := io.ReadAll(resp.Body)
	if err != nil {
		return nil, err
	}

	return respBytes, nil

}
