package bizhi

import orm "duoduo/database"

type Label struct {
	ID    int64  `gorm:"column:id;type:bigint(20);primary_key;AUTO_INCREMENT" json:"id"` // 主键
	Label string `gorm:"column:label;type:varchar(50)" json:"label"`                     // 标签
}

func (m *Label) TableName() string {
	return "label"
}

func (m *Label) GetLabelList() ([]Label, error) {
	var doc []Label

	table := orm.BzMysql.Table(m.TableName())

	if err := table.Select("*").Order("id desc").Find(&doc).Error; err != nil {
		return nil, err
	}

	return doc, nil
}

func (m *Label) Insert() error {
	result := orm.BzMysql.Table(m.TableName()).Create(&m)
	if result.Error != nil {
		err := result.Error
		return err
	}
	return nil
}
