package petsLy

import (
	"duoduo/models/mysqlLy"
)

type PetsListRequest struct {
	OpenId    string `json:"open_id"`
	IsFee     int    `json:"is_fee"` //有偿，无偿
	City      string `json:"city"`   //城市
	Pet       string `json:"pet"`    //品种
	Status    int    `json:"status"` //领养状态
	PageSize  int    `json:"pageSize"`
	PageIndex int    `json:"pageIndex"`
}

type PetsListResponse struct {
	Pets []Pets `json:"pets"`
}

type Pets struct {
	Pets     mysqlLy.Pets `json:"pets"`
	Pictures []string     `json:"pictures"`
	TimeDiff string       `json:"time_diff"`
}

type Pictures struct {
}
